public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/, app-crypt/gcr/files/
@ 2019-12-25 20:50 Mart Raudsepp
  0 siblings, 0 replies; 3+ messages in thread
From: Mart Raudsepp @ 2019-12-25 20:50 UTC (permalink / raw
  To: gentoo-commits

commit:     23d1560478908752f77b0ad4d31c9a4060a59389
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 25 20:49:24 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Dec 25 20:50:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23d15604

app-crypt/gcr: fix desktop files

Closes: https://bugs.gentoo.org/702040
Package-Manager: Portage-2.3.79, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-crypt/gcr/files/3.34.0-fix-desktop-files.patch | 61 ++++++++++++++++++++++
 .../{gcr-3.34.0.ebuild => gcr-3.34.0-r1.ebuild}    |  5 ++
 2 files changed, 66 insertions(+)

diff --git a/app-crypt/gcr/files/3.34.0-fix-desktop-files.patch b/app-crypt/gcr/files/3.34.0-fix-desktop-files.patch
new file mode 100644
index 00000000000..0678937fcc0
--- /dev/null
+++ b/app-crypt/gcr/files/3.34.0-fix-desktop-files.patch
@@ -0,0 +1,61 @@
+From a69dc44e11270ce092babfa57fe3aab31da9619c Mon Sep 17 00:00:00 2001
+From: Daiki Ueno <dueno@src.gnome.org>
+Date: Mon, 21 Oct 2019 12:02:05 +0200
+Subject: [PATCH] build: Use sed for .desktop variables substitution
+
+We can't do that with configure, as it leaves ${exec_prefix}.
+---
+ configure.ac   | 2 --
+ ui/Makefile.am | 6 ++++++
+ 2 files changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 1ba43d6..6286f16 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -423,8 +423,6 @@ gcr/gcr-version.h
+ po/Makefile.in
+ ui/gcr.pc
+ ui/gcr-ui.pc
+-ui/gcr-prompter.desktop.in
+-ui/gcr-viewer.desktop.in
+ ui/icons/16x16/Makefile
+ ui/icons/22x22/Makefile
+ ui/icons/24x24/Makefile
+diff --git a/ui/Makefile.am b/ui/Makefile.am
+index 29c33e7..7594621 100644
+--- a/ui/Makefile.am
++++ b/ui/Makefile.am
+@@ -209,6 +209,8 @@ gcr_viewer_LDADD = \
+ viewer_desktop_in_in = ui/gcr-viewer.desktop.in.in
+ viewer_desktop_in = $(viewer_desktop_in_in:.desktop.in.in=.desktop.in)
+ viewer_desktop = $(viewer_desktop_in:.desktop.in=.desktop)
++$(viewer_desktop_in): $(viewer_desktop_in_in)
++	$(AM_V_GEN) sed 's|@bindir[@]|$(bindir)|g' $< > $@
+ $(viewer_desktop): $(viewer_desktop_in)
+ 	$(AM_V_GEN) $(MSGFMT) --desktop --template $< -d $(top_srcdir)/po -o $@
+ 
+@@ -231,9 +233,12 @@ gcr_prompter_LDADD = \
+ prompter_desktop_in_in = ui/gcr-prompter.desktop.in.in
+ prompter_desktop_in = $(prompter_desktop_in_in:.desktop.in.in=.desktop.in)
+ prompter_desktop = $(prompter_desktop_in:.desktop.in=.desktop)
++$(prompter_desktop_in): $(prompter_desktop_in_in)
++	$(AM_V_GEN) sed 's|@libexecdir[@]|$(libexecdir)|g' $< > $@
+ $(prompter_desktop): $(prompter_desktop_in)
+ 	$(AM_V_GEN) $(MSGFMT) --desktop --template $< -d $(top_srcdir)/po -o $@
+ 
++desktop_in_in_files = $(viewer_desktop_in_in) $(prompter_desktop_in_in)
+ desktop_in_files = $(desktop_in_in_files:.desktop.in.in=.desktop.in)
+ desktopdir = $(datadir)/applications
+ desktop_DATA = \
+@@ -247,6 +252,7 @@ EXTRA_DIST += \
+ 	ui/gcr.gresource.xml \
+ 	$(ui_RESOURCES) \
+ 	$(mime_DATA) \
++	$(desktop_in_in_files) \
+ 	ui/fixtures
+ 
+ CLEANFILES += \
+-- 
+2.24.1
+

diff --git a/app-crypt/gcr/gcr-3.34.0.ebuild b/app-crypt/gcr/gcr-3.34.0-r1.ebuild
similarity index 95%
rename from app-crypt/gcr/gcr-3.34.0.ebuild
rename to app-crypt/gcr/gcr-3.34.0-r1.ebuild
index c6e3d16d6c3..3c984e3e1e3 100644
--- a/app-crypt/gcr/gcr-3.34.0.ebuild
+++ b/app-crypt/gcr/gcr-3.34.0-r1.ebuild
@@ -4,6 +4,7 @@
 EAPI=6
 VALA_USE_DEPEND="vapigen"
 PYTHON_COMPAT=( python3_{6,7,8} )
+GNOME2_EAUTORECONF="yes"
 
 inherit gnome2 python-any-r1 vala virtualx
 
@@ -46,6 +47,10 @@ DEPEND="${COMMON_DEPEND}
 #	dev-libs/gobject-introspection-common
 #	dev-libs/vala-common
 
+PATCHES=(
+	"${FILESDIR}"/${PV}-fix-desktop-files.patch
+)
+
 pkg_setup() {
 	python-any-r1_pkg_setup
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/, app-crypt/gcr/files/
@ 2022-05-07 15:32 Matt Turner
  0 siblings, 0 replies; 3+ messages in thread
From: Matt Turner @ 2022-05-07 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     b38043e8e56bc7ceeee547fcb5c9dbf0a713f28a
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat May  7 15:23:23 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat May  7 15:32:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b38043e8

app-crypt/gcr: Version bump to 3.41.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-crypt/gcr/Manifest                             |  1 +
 .../gcr-3.41.0-Unbreak-build-without-systemd.patch | 27 +++++++
 app-crypt/gcr/gcr-3.41.0.ebuild                    | 89 ++++++++++++++++++++++
 3 files changed, 117 insertions(+)

diff --git a/app-crypt/gcr/Manifest b/app-crypt/gcr/Manifest
index cc0e9da4b4eb..c24bb8c5bd97 100644
--- a/app-crypt/gcr/Manifest
+++ b/app-crypt/gcr/Manifest
@@ -1 +1,2 @@
 DIST gcr-3.40.0.tar.xz 1011044 BLAKE2B 6b1016f74e5fd3ace32a534a59575db9c39b5deefd2f4f3a747ef7e87a43c7c00b33500d8151009347af9fe6b073c390895bb6e17c577c6e150c780c487b997e SHA512 7118608e7bef7d0cf2eea33cb3286b7f9c3622a38892ce88cf33ed453d343cc33e070831e7b4d0c5cdb43c2e57b3f0b91c7cbd6aa8463982d3af8844b59bcb81
+DIST gcr-3.41.0.tar.xz 1039744 BLAKE2B c646a04168310051d5b582a9d2f7ab9da89eef095e856e56b8d730600debead051ad8bb40eddb7457b1be2be3e092227dd886f647258a9c6a81d4bab728245f7 SHA512 455acc40ed77feeb35f9845b00229f468b322b7eda0b1b5abb0153f0a6ba29f3d0364df22225143f4caf130254a1258b3c7f934370e5142f2f64e1c3084b6f6e

diff --git a/app-crypt/gcr/files/gcr-3.41.0-Unbreak-build-without-systemd.patch b/app-crypt/gcr/files/gcr-3.41.0-Unbreak-build-without-systemd.patch
new file mode 100644
index 000000000000..eac12c0a34a2
--- /dev/null
+++ b/app-crypt/gcr/files/gcr-3.41.0-Unbreak-build-without-systemd.patch
@@ -0,0 +1,27 @@
+From 96e76ee482dad2a0d71f9a5a5a6558d272d538ca Mon Sep 17 00:00:00 2001
+From: Antoine Jacoutot <ajacoutot@gnome.org>
+Date: Sun, 24 Oct 2021 10:26:03 +0200
+Subject: [PATCH] Unbreak build without systemd.
+
+This fixes the check for WITH_SYSTEMD and prevents a fatal error:
+'systemd/sd-daemon.h' file not found when building with systemd disabled.
+---
+ gcr/gcr-ssh-agent-service.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/gcr/gcr-ssh-agent-service.c b/gcr/gcr-ssh-agent-service.c
+index 3b5a4ca..b7e8928 100644
+--- a/gcr/gcr-ssh-agent-service.c
++++ b/gcr/gcr-ssh-agent-service.c
+@@ -39,7 +39,7 @@
+ #include <glib/gstdio.h>
+ #include <gcr/gcr-base.h>
+ 
+-#ifdef WITH_SYSTEMD
++#if WITH_SYSTEMD
+ #include <systemd/sd-daemon.h>
+ #endif
+ 
+-- 
+2.35.1
+

diff --git a/app-crypt/gcr/gcr-3.41.0.ebuild b/app-crypt/gcr/gcr-3.41.0.ebuild
new file mode 100644
index 000000000000..6a5988f3730b
--- /dev/null
+++ b/app-crypt/gcr/gcr-3.41.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
+
+DESCRIPTION="Libraries for cryptographic UIs and accessing PKCS#11 modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gcr"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0/1" # subslot = suffix of libgcr-base-3 and co
+
+IUSE="gtk gtk-doc +introspection systemd test +vala"
+REQUIRED_USE="vala? ( introspection )"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+DEPEND="
+	>=dev-libs/glib-2.44.0:2
+	>=dev-libs/libgcrypt-1.2.2:0=
+	>=app-crypt/p11-kit-0.19.0
+	>=app-crypt/libsecret-0.20
+	systemd? ( sys-apps/systemd:= )
+	gtk? ( >=x11-libs/gtk+-3.22:3[introspection?] )
+	>=sys-apps/dbus-1
+	introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+RDEPEND="${DEPEND}"
+PDEPEND="app-crypt/gnupg"
+BDEPEND="
+	${PYTHON_DEPS}
+	gtk? ( dev-libs/libxml2:2 )
+	dev-util/gdbus-codegen
+	dev-util/glib-utils
+	gtk-doc? (
+		>=dev-util/gtk-doc-1.9
+		app-text/docbook-xml-dtd:4.1.2
+	)
+	>=sys-devel/gettext-0.19.8
+	test? ( app-crypt/gnupg )
+	virtual/pkgconfig
+	vala? ( $(vala_depend) )
+"
+
+PATCHES=(
+	"${FILESDIR}"/3.38.0-optional-vapi.patch
+	"${FILESDIR}"/${PN}-3.40.0-meson-0.61-build.patch
+	"${FILESDIR}"/${P}-Unbreak-build-without-systemd.patch
+)
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	use vala && vala_setup
+	xdg_environment_reset
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use introspection)
+		$(meson_use gtk)
+		$(meson_use gtk-doc gtk_doc)
+		-Dgpg_path="${EPREFIX}"/usr/bin/gpg
+		-Dssh_agent=true
+		$(meson_feature systemd)
+		$(meson_use vala vapi)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/, app-crypt/gcr/files/
@ 2023-03-07 12:11 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2023-03-07 12:11 UTC (permalink / raw
  To: gentoo-commits

commit:     3b99e98a7f71e2ba432fa10c1ed1994668e552b5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  7 12:11:19 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 12:11:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b99e98a

app-crypt/gcr: fix implicit func decls

It doesn't make sense to default XOPEN_SOURCE and subsequently DEFAULT_SOURCE
as DEFAULT_SOURCE is asking for no extensions. Anyway, just ask for GNU_SOURCE
as it'll placate both musl and glibc for all of strptime/timegm/getpass and
gcr-3 is obsolete anyway.

gcr-4 is fine.

Closes: https://bugs.gentoo.org/900152
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../gcr/files/3.41.1-implicit-func-decl.patch      | 28 ++++++++++++++++++++++
 .../{gcr-3.41.1-r1.ebuild => gcr-3.41.1-r2.ebuild} |  1 +
 2 files changed, 29 insertions(+)

diff --git a/app-crypt/gcr/files/3.41.1-implicit-func-decl.patch b/app-crypt/gcr/files/3.41.1-implicit-func-decl.patch
new file mode 100644
index 000000000000..f3f688013a76
--- /dev/null
+++ b/app-crypt/gcr/files/3.41.1-implicit-func-decl.patch
@@ -0,0 +1,28 @@
+It doesn't make sense to default XOPEN_SOURCE and subsequently DEFAULT_SOURCE
+as DEFAULT_SOURCE is asking for no extensions. Anyway, just ask for GNU_SOURCE
+as it'll placate both musl and glibc for all of strptime/timegm/getpass and
+gcr-3 is obsolete anyway.
+--- a/gck/meson.build
++++ b/gck/meson.build
+@@ -77,8 +77,7 @@ gck_cflags = [
+   '-DGCK_API_SUBJECT_TO_CHANGE',
+   '-DP11_KIT_API_SUBJECT_TO_CHANGE',
+   '-DPKCS11_REGISTRY_DIR="@0@"'.format(get_option('prefix') / get_option('libdir') / 'pkcs11'),
+-  '-D_XOPEN_SOURCE',   # Needed for strptime()
+-  '-D_DEFAULT_SOURCE', # Needed for timegm
++  '-D_GNU_SOURCE',   # Needed for strptime(), timegm, getpass
+ ]
+ 
+ gck_symbolmap = meson.current_source_dir() / 'libgck.map'
+--- a/gcr/meson.build
++++ b/gcr/meson.build
+@@ -146,7 +146,7 @@ gcr_base_cflags = [
+   '-DGCR_API_SUBJECT_TO_CHANGE',
+   '-DGCK_API_SUBJECT_TO_CHANGE',
+   '-DP11_KIT_API_SUBJECT_TO_CHANGE',
+-  '-D_XOPEN_SOURCE',   # Needed for strptime()
++  '-D_GNU_SOURCE',   # Needed for strptime(), timegm, getpass
+ ]
+ 
+ gcr_base_symbolmap = meson.current_source_dir() / 'libgcr-base.map'
+

diff --git a/app-crypt/gcr/gcr-3.41.1-r1.ebuild b/app-crypt/gcr/gcr-3.41.1-r2.ebuild
similarity index 98%
rename from app-crypt/gcr/gcr-3.41.1-r1.ebuild
rename to app-crypt/gcr/gcr-3.41.1-r2.ebuild
index fa27a868884a..24ad67b9bce4 100644
--- a/app-crypt/gcr/gcr-3.41.1-r1.ebuild
+++ b/app-crypt/gcr/gcr-3.41.1-r2.ebuild
@@ -47,6 +47,7 @@ BDEPEND="
 
 PATCHES=(
 	"${FILESDIR}"/3.38.0-optional-vapi.patch
+	"${FILESDIR}"/3.41.1-implicit-func-decl.patch
 )
 
 pkg_setup() {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2023-03-07 12:11 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-03-07 12:11 [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/, app-crypt/gcr/files/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2022-05-07 15:32 Matt Turner
2019-12-25 20:50 Mart Raudsepp

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox